> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token transfers by contract

Get token transfers by contract

` GET /insights/v1/tokens/transfers/{contract_address} `

Get token transfers by contract

Get token transfers by contract

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` contract_address ` (path, required)

- ` value `: type ` string `

  - Title: address (hex or ENS)

  - example: ` "vitalik.eth" `

Example:

```json
"vitalik.eth"
```

### ` chain ` (query, optional)

Use chain_id instead

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` chain_id ` (query, optional)

The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` limit ` (query, optional)

- ` value `: type ` integer ` — The number of items to return

  - default: ` 20 `

  - example: ` 20 `

  - minimum: ` 0 `

  - maximum: ` 1000 `

Example:

```json
20
```

### ` page ` (query, optional)

- ` value `: type ` integer `; nullable — Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.

  - default: ` 0 `

  - example: ` 0 `

  - minimum: ` 0 `

Example:

```json
0
```

### ` metadata ` (query, optional)

- ` value `: type ` string ` — Whether to include metadata for the tokens

  - enum: ` ["true","false"] `

  - default: ` "false" `

  - example: ` "false" `

Example:

```json
"false"
```

### ` include_owners ` (query, optional)

- ` value `: type ` string ` — Whether to include owner addresses in the NFT metadata (only if metadata is requested)

  - enum: ` ["true","false"] `

  - default: ` "false" `

  - example: ` "false" `

Example:

```json
"false"
```

## Responses

### ` 200 ` — Success

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` meta `

  - ` data `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` block_number `, ` block_timestamp `, ` transaction_hash `, ` from_address `, ` to_address `, ` log_index `, ` contract_address `, ` transfer_type `, ` token_type `, ` amount `, ` chain_id `

      - ` block_number `: type ` string `

      - ` block_hash `: type ` string `

      - ` block_timestamp `: type ` string `

      - ` transaction_hash `: type ` string `

      - ` from_address `: type ` string `

      - ` to_address `: type ` string `

      - ` log_index `: type ` number `

      - ` contract_address `: type ` string `

      - ` transfer_type `: type ` string `

        - enum: ` ["mint","sale","transfer"] `

      - ` token_type `: type ` string `

        - enum: ` ["erc20"] `

      - ` amount `: type ` string `

      - ` chain_id `: type ` number `

      - ` token_metadata `: type ` object `

        - ` name `: type ` string `

        - ` symbol `: type ` string `

        - ` decimals `: type ` number `

        - ` price_data `: type ` object `

          - ` price_usd `: type ` number ` — The price of the token in USD

          - ` usd_value `: type ` number ` — The value of the token balance in USD

          - ` volume_24h_usd `: type ` number ` — The volume of the token in USD

          - ` market_cap_usd `: type ` number ` — The market cap of the token in USD

          - ` circulating_supply `: type ` number ` — The circulating supply of the token

          - ` total_supply `: type ` number ` — The total supply of the token

          - ` percent_change_24h `: type ` number ` — The percentage change of the token in the last 24 hours

          - ` price_timestamp `: type ` string ` — The timestamp of the latest price update

      - ` price_data `: type ` object `

        - ` price_usd `: type ` number ` — The price of the token in USD

        - ` usd_value `: type ` number ` — The value of the token balance in USD

        - ` volume_24h_usd `: type ` number ` — The volume of the token in USD

        - ` market_cap_usd `: type ` number ` — The market cap of the token in USD

        - ` circulating_supply `: type ` number ` — The circulating supply of the token

        - ` total_supply `: type ` number ` — The total supply of the token

        - ` percent_change_24h `: type ` number ` — The percentage change of the token in the last 24 hours

        - ` price_timestamp `: type ` string ` — The timestamp of the latest price update

  - ` aggregations `: type ` unknown `; nullable

  - ` meta `: type ` object `

    - Required fields: ` chain_id `

    - ` chain_id `: type ` number `

    - ` address `: type ` string `

    - ` signature `: type ` string `

    - ` page `: type ` number `

    - ` limit `: type ` number `

    - ` total_items `: type ` number `

    - ` total_pages `: type ` number `

### ` 404 ` — Not found

### ` 500 ` — Internal server error

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` meta `

  - ` data `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` block_number `, ` block_timestamp `, ` transaction_hash `, ` from_address `, ` to_address `, ` log_index `, ` contract_address `, ` transfer_type `, ` token_type `, ` amount `, ` chain_id `

      - ` block_number `: type ` string `

      - ` block_hash `: type ` string `

      - ` block_timestamp `: type ` string `

      - ` transaction_hash `: type ` string `

      - ` from_address `: type ` string `

      - ` to_address `: type ` string `

      - ` log_index `: type ` number `

      - ` contract_address `: type ` string `

      - ` transfer_type `: type ` string `

        - enum: ` ["mint","sale","transfer"] `

      - ` token_type `: type ` string `

        - enum: ` ["erc20"] `

      - ` amount `: type ` string `

      - ` chain_id `: type ` number `

      - ` token_metadata `: type ` object `

        - ` name `: type ` string `

        - ` symbol `: type ` string `

        - ` decimals `: type ` number `

        - ` price_data `: type ` object `

          - ` price_usd `: type ` number ` — The price of the token in USD

          - ` usd_value `: type ` number ` — The value of the token balance in USD

          - ` volume_24h_usd `: type ` number ` — The volume of the token in USD

          - ` market_cap_usd `: type ` number ` — The market cap of the token in USD

          - ` circulating_supply `: type ` number ` — The circulating supply of the token

          - ` total_supply `: type ` number ` — The total supply of the token

          - ` percent_change_24h `: type ` number ` — The percentage change of the token in the last 24 hours

          - ` price_timestamp `: type ` string ` — The timestamp of the latest price update

      - ` price_data `: type ` object `

        - ` price_usd `: type ` number ` — The price of the token in USD

        - ` usd_value `: type ` number ` — The value of the token balance in USD

        - ` volume_24h_usd `: type ` number ` — The volume of the token in USD

        - ` market_cap_usd `: type ` number ` — The market cap of the token in USD

        - ` circulating_supply `: type ` number ` — The circulating supply of the token

        - ` total_supply `: type ` number ` — The total supply of the token

        - ` percent_change_24h `: type ` number ` — The percentage change of the token in the last 24 hours

        - ` price_timestamp `: type ` string ` — The timestamp of the latest price update

  - ` aggregations `: type ` unknown `; nullable

  - ` meta `: type ` object `

    - Required fields: ` chain_id `

    - ` chain_id `: type ` number `

    - ` address `: type ` string `

    - ` signature `: type ` string `

    - ` page `: type ` number `

    - ` limit `: type ` number `

    - ` total_items `: type ` number `

    - ` total_pages `: type ` number `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens/transfers/vitalik.eth'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens/transfers/vitalik.eth', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/tokens/transfers/vitalik.eth')
print(response.json())
```